Move collection

Moves the specified collection to a new location.

Request

POST

http://<хост_on-premises>/rpc/moveCollection

Headers

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

Body

application/json
{
  "collectionId": "example",
  "parentId": "example",
  "title": "example"
}

Name

Description

collectionId

Type: string

ID of the collection to move.

Example: example

parentId

Type: string | null

ID of the parent collection to move the collection to.

Example: example

title

Type: string

New title of the collection.

Example: example

Responses

200 OK

Response

Body

application/json
{
  "collectionId": "example",
  "title": "example",
  "description": "example",
  "parentId": "example",
  "tenantId": "example",
  "createdBy": "example",
  "createdAt": "example",
  "updatedBy": "example",
  "updatedAt": "example",
  "meta": {}
}

Name

Description

collectionId

Type: string

Unique identifier of the collection.

Example: example

createdAt

Type: string

Creation timestamp.

Example: example

createdBy

Type: string

ID of the user who created the collection.

Example: example

description

Type: string | null

Description of the collection.

Example: example

meta

Type: object

[additional]

Type: unknown

Example: null

Metadata associated with the collection.

Example
{}

parentId

Type: string | null

ID of the parent collection.

Example: example

tenantId

Type: string

ID of the DataLens tenant.

Example: example

title

Type: string

Title of the collection.

Example: example

updatedAt

Type: string

Last update timestamp.

Example: example

updatedBy

Type: string

ID of the user who last updated the collection.

Example: example

Следующая